Bug 969560 (CVE-2013-2132)

Summary: CVE-2013-2132 pymongo: null pointer when decoding invalid DBRef
Product: [Other] Security Response Reporter: Kurt Seifried <kseifried>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: admiller, bkearney, bleanhar, bretm, ccoleman, cpelland, dajohnso, dmcphers, esammons, iboverma, jeckersb, jialiu, jim, jlieskov, johan.o.hedin, jrusnack, jslagle, katello-bugs, lmeyer, mcressma, mmccune, mmcgrath, morazi, mrg-program-list, nathaniel, tdawson, whayutin
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20130531,reported=20130531,source=internet,cvss2=5.0/AV:N/AC:L/Au:N/C:N/I:N/A:P,cloudformscommon-1/pymongo=wontfix,epel-all/pymongo=affected,fedora-all/pymongo=affected,mrg-2/pymongo=affected,openshift-1/pymongo=affected,rhui-2/pymongo=wontfix,rhn_satellite_6/pymongo=affected,cwe=CWE-476
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-01-17 00:43:47 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 969563, 969566, 969569, 969570, 969571, 969574, 969582, 969626, 1165388    
Bug Blocks: 969581    

Description Kurt Seifried 2013-05-31 15:34:15 EDT
A user triggerable null pointer occurs when parsing invalid DBref records. 
This was reported by Jibbers McGee.

This can be triggered in Mongo shell:
db.python532.insert({x : {"$ref" : "whatever"} });

Or in Python shell:
import pymongo
pymongo.MongoClient().test.python532.find_one()

A workaround is reportedly available:
Add "process_dbrefs=False" to all the drivers

External reference:
https://jira.mongodb.org/browse/PYTHON-532

Upstream patch:
https://github.com/mongodb/mongo-python-driver/commit/a060c15ef87e0f0e72974c7c0e57fe811bbd06a2
Comment 1 Kurt Seifried 2013-05-31 15:38:48 EDT
Created mongodb tracking bugs for this issue

Affects: epel-all [bug 969563]
Comment 2 Kurt Seifried 2013-05-31 15:39:44 EDT
Created mongodb tracking bugs for this issue

Affects: fedora-all [bug 969566]
Comment 8 errata-xmlrpc 2013-08-21 13:30:06 EDT
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:1170 https://rhn.redhat.com/errata/RHSA-2013-1170.html
Comment 9 Kurt Seifried 2014-08-08 15:30:18 EDT
Statement:

Red Hat Update Infrastructure 2.1.3 is now in Production 2 Phase of the support and maintenance life cycle. This has been rated as having Moderate security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Update Infrastructure Life Cycle: https://access.redhat.com/support/policy/updates/rhui.